%define pkgname apps

Summary: X.Org X11 applications
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: 2
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Clock apps
Source0:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/oclock-1.0.1.tar.bz2
Source1:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xclock-1.0.1.tar.bz2
# X Window Dump (xwd) utilities
Source2:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xwd-1.0.1.tar.bz2
Source3:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xwud-1.0.1.tar.bz2
Source4:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xpr-1.0.1.tar.bz2
# Miscellaneous other applications
Source5:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/luit-1.0.1.tar.bz2
Source6:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/x11perf-1.0.1.tar.bz2
Source7:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xbiff-1.0.1.tar.bz2
Source8:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xclipboard-1.0.1.tar.bz2
Source9:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xconsole-1.0.1.tar.bz2
Source10: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xcursorgen-1.0.0.tar.bz2
Source11: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xeyes-1.0.1.tar.bz2
Source12: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xkill-1.0.1.tar.bz2
Source13: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xload-1.0.1.tar.bz2
Source14: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xlogo-1.0.1.tar.bz2
Source15: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xmag-1.0.1.tar.bz2
Source16: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xmessage-1.0.1.tar.bz2

Patch0: x11perf-1.0.1-x11perf-datadir-cleanups.patch
Patch1: luit-1.0.1-locale.alias-datadir.patch

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
# xbiff needs xbitmaps-devel
BuildRequires: xbitmaps-devel

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides: luit oclock x11perf xbiff xclipboard xclock xconsole xcursorgen
Provides: xeyes xkill xload xlogo xmag xmessage xpr xwd xwud

# NOTE: xwd, xwud, luit used to be in these.
Obsoletes: XFree86, xorg-x11
# NOTE: x11perf, xclipboard used to be in these.
Obsoletes: XFree86-tools, xorg-x11-tools
%description
A collection of common X Window System applications.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16
%patch0 -p0 -b .x11perf-datadir-cleanups
%patch1 -p0 -b .locale.alias-datadir

%build
# Build all apps
{
   for app in * ; do
      pushd $app

      case $app in
#         oclock*|x11perf*|xclipboard*|xclock*|xconsole*|xload*|xlogo*|xmag*|xmessage*)
         x11perf*)
            aclocal ; automake ; autoconf
         ;;
         luit*)
            autoconf
         ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

# FIXME: Move/rename manpages to correct location (still broke in RC2)
%if 0
{
    WRONG_DIR=$RPM_BUILD_ROOT%{_mandir}/man1
    MAN1X_DIR=$RPM_BUILD_ROOT%{_mandir}/man1x

    [ ! -d $MAN1X_DIR ] && mkdir -p $MAN1X_DIR
    mv ${WRONG_DIR}/* ${MAN1X_DIR}/
    for each in ${MAN1X_DIR}/* ; do
        mv $each ${each/.1/.1x}
    done
    rmdir $WRONG_DIR
}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_bindir}
%{_bindir}/luit
%{_bindir}/oclock
%{_bindir}/x11perf
%{_bindir}/x11perfcomp
%{_bindir}/xbiff
%{_bindir}/xclipboard
%{_bindir}/xclock
%{_bindir}/xconsole
%{_bindir}/xcursorgen
%{_bindir}/xcutsel
%{_bindir}/xdpr
%{_bindir}/xeyes
%{_bindir}/xkill
%{_bindir}/xload
%{_bindir}/xlogo
%{_bindir}/xmag
%{_bindir}/xmessage
%{_bindir}/xpr
%{_bindir}/xwd
%{_bindir}/xwud
%dir %{_datadir}
%dir %{_datadir}/X11
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Clock-color
%{_datadir}/X11/app-defaults/XClipboard
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_datadir}/X11/app-defaults/XConsole
%{_datadir}/X11/app-defaults/XLoad
%{_datadir}/X11/app-defaults/XLogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_datadir}/X11/app-defaults/Xmag
%{_datadir}/X11/app-defaults/Xmessage
%{_datadir}/X11/app-defaults/Xmessage-color
%dir %{_datadir}/X11/x11perfcomp
%{_datadir}/X11/x11perfcomp/Xmark
%{_datadir}/X11/x11perfcomp/fillblnk
%{_datadir}/X11/x11perfcomp/perfboth
%{_datadir}/X11/x11perfcomp/perfratio
%dir %{_mandir}
%dir %{_mandir}/man1
%{_mandir}/man1/xcursorgen.1x*
%{_mandir}/man1/Xmark.1x*
%{_mandir}/man1/luit.1x*
%{_mandir}/man1/oclock.1x*
%{_mandir}/man1/x11perf.1x*
%{_mandir}/man1/x11perfcomp.1x*
%{_mandir}/man1/xbiff.1x*
%{_mandir}/man1/xclipboard.1x*
%{_mandir}/man1/xclock.1x*
%{_mandir}/man1/xconsole.1x*
%{_mandir}/man1/xcutsel.1x*
%{_mandir}/man1/xdpr.1x*
%{_mandir}/man1/xeyes.1x*
%{_mandir}/man1/xkill.1x*
%{_mandir}/man1/xload.1x*
%{_mandir}/man1/xlogo.1x*
%{_mandir}/man1/xmag.1x*
%{_mandir}/man1/xmessage.1x*
%{_mandir}/man1/xpr.1x*
%{_mandir}/man1/xwd.1x*
%{_mandir}/man1/xwud.1x*

%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 24 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added luit-1.0.1-locale.alias-datadir.patch to fix bug (#181785)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Upgraded all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Upgraded all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default now.
- Dropped all of the datadir-cleanups patches added in the previous build.
- Added x11perf-1.0.0-x11perf-datadir-cleanups.patch as it is still needed
  to put the helper scripts in datadir.
- Added --disable-xprint to configure, as a great symbolic jesture.

* Wed Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3" to workaround
  (#173384)
- Added the following patches, and invoke aclocal/automake/autoconf on them
  to force app-defaults and other datafiles into _datadir instead of _libdir:
  - oclock-0.99.1-oclock-datadir-cleanups.patch
  - x11perf-0.99.1-x11perf-datadir-cleanups.patch
  - xclipboard-0.99.1-xclipboard-datadir-cleanups.patch
  - xclock-0.99.1-xclock-datadir-cleanups.patch
  - xconsole-0.99.2-xconsole-datadir-cleanups.patch
  - xload-0.99.1-xload-datadir-cleanups.patch
  - xlogo-0.99.1-xlogo-datadir-cleanups.patch
  - xmag-0.99.1-xmag-datadir-cleanups.patch
  - xmessage-0.99.1-xmessage-datadir-cleanups.patch
- Added luit-0.99.1-luit-locale-dir-fix.patch to fix bug (#173702)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.2-3
- add Requires(pre) on newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Add "Obsoletes: XFree86, XFree86-tools, xorg-x11, xorg-x11-tools", as 
  various utils have moved here from there in monolithic X packaging.
- Add "BuildRequires: xbitmaps-devel" for xbiff.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2.
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
- Temporary hack to move xcursorgen manpage to 'man1' dir.
